require 'test_helper'

class RendererTest < Minitest::Test
  def test_should_call_render_template_when_no_options
    renderer = ActionView::Renderer.new Minitest::Mock.new
    renderer.stub(:render_template, 'rendering template') do
      result = renderer.render('test', {})
      assert_equal result, 'rendering template'
    end
  end

  def test_should_call_render_partial_when_has_options_partial
    renderer = ActionView::Renderer.new Minitest::Mock.new

    renderer.stub(:render_partial, 'rendering partial') do
      result = renderer.render('test', { partial: 'test' })
      assert_equal result, 'rendering partial'
    end
  end

  def test_should_call_render_remote_partial_when_remote_is_true
    renderer = ActionView::Renderer.new Minitest::Mock.new

    renderer.stub(:render_remote, 'rendering remote') do
      result = renderer.render('test', { remote: true })
      assert_equal result, 'rendering remote'
    end
  end
end
